
CoCoA-5 - Bug #103

Bad error mesg using operator ":"

15 Mar 2012 11:57 - John Abbott

Status: Closed Start date: 15 Mar 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Parser/Interpreter Estimated time: 2.00 hours

Target version: CoCoA-5.0.3 Spent time: 0.80 hour

Description

The session excerpt below contains an erroneous error message.

I think the operator should be just ":" -- it certainly should not be "I:(x-2"!!

I:(x-2);

ERROR: I don't know how to evaluate operator I:(x-2 between IDEAL and RINGELEM

History

#1 - 18 Apr 2012 16:31 - John Abbott

- Status changed from New to Closed

Corrected erroneous actual parameters in a call in ColonExpression:implEval in file Interpreter.C.

I simply copied the corresponding lines from PowerExpression::implEval because the similar input I^(x-1) gave the correct error message.

All CoCoA-5 tests passed; hope this means my fix is good.

#2 - 08 Jun 2012 17:25 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

#3 - 08 Jun 2012 17:26 - Anna Maria Bigatti

- Assignee set to John Abbott

#4 - 04 Jul 2012 09:51 - Anna Maria Bigatti

- % Done changed from 0 to 100

#5 - 04 Jul 2012 09:57 - Anna Maria Bigatti

- Category set to Parser/Interpreter
